Nascent Political Miscreant

    18 packages found

    Extend the Content Security Policy on the fly (for development)

    published 3.0.0 a year ago
    M
    Q
    P

    Build Content Security Policy directives.

    published 2.1.0 2 years ago
    M
    Q
    P

    Content security policy tool

    published 0.3.2 2 years ago
    M
    Q
    P

    Downgrade content-security-policy version and fidelity to support the requesting browser

    published 1.6.0 3 years ago
    M
    Q
    P

    Parse Content Security Policy directives.

    published 0.4.0 a year ago
    M
    Q
    P

    tiny util for getting and setting deep object props safely

    published 1.4.0 3 years ago
    M
    Q
    P

    Normalize Content Security Policy report payloads

    published 0.1.0 4 years ago
    M
    Q
    P
    M
    Q
    P

    Simple CSP nonce generator.

    published 1.0.6 7 months ago
    M
    Q
    P

    Easy method to define standard express headers and assist with Content-Security-Policy including social media widgets

    published 0.4.1 8 years ago
    M
    Q
    P

    Fix CSP errors by extracting inline scripts from HTML

    published 0.1.0 7 years ago
    M
    Q
    P

    Content Security Policy middleware.

    published 0.3.3 7 years ago
    M
    Q
    P

    Generate CSP meta and nonces

    published 1.0.8 4 years ago
    M
    Q
    P

    Generate CSP meta and SHA checksums

    published 1.0.4 4 years ago
    M
    Q
    P

    Parses the csp.txt files to abstract syntax trees

    published 1.0.9 4 years ago
    M
    Q
    P

    Very simple Content Security Policy manager

    published 0.1.1 7 years ago
    M
    Q
    P

    Gulp plugin to fix CSP errors by extracting inline scripts from HTML

    published 0.1.0 7 years ago
    M
    Q
    P

    Builder for Acorn that precompiles predicates in order to satisfy CSP.

    published 0.0.4 7 years ago
    M
    Q
    P